# Copyright (C) 2006 by Aiwota Programmer
# aiwotaprog@tetteke.tk
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from urllib2 import HTTPRedirectHandler, BaseHandler
from urllib2 import HTTPError


class HTTPRedirectHandler302(HTTPRedirectHandler):
    """Not process 302"""

    def http_error_302(self, req, fp, code, msg, hdrs):
        raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)


class HTTPDebugHandler(BaseHandler):

    def http_request(self, req):
        print req.get_method(), req.get_full_url()
        for field in req.header_items():
            print "%s: %s" % field
        return req

    def http_response(self, req, response):
        print "%d %s" % (response.code, response.msg)
        print response.info()
        return response
